Bug 174194 - devel/piklab: Update to version 0.16.2
Summary: devel/piklab: Update to version 0.16.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Marcelo Araujo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-05 18:10 UTC by tkato432
Modified: 2013-02-04 10:10 UTC (History)
0 users

See Also:


Attachments
file.diff (5.50 KB, patch)
2012-12-05 18:10 UTC, tkato432
no flags Details | Diff
devel_piklab.diff (5.13 KB, patch)
2013-01-18 17:56 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2012-12-05 18:10:11 UTC
- Update to version 0.16.2

New file:
files/patch-cmake__Piklab.cmkae
files/patch-src__CMakeLists.txt
files/patch-src__common__global__pfile.cpp
files/patch-src__common__port__hid_port.h
Comment 1 Marcelo Araujo freebsd_committer 2012-12-11 11:15:23 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

I'll take it.
Comment 2 Marcelo Araujo freebsd_committer 2013-01-18 06:30:32 UTC
State Changed
From-To: open->feedback

Does not build. Check at: 
http://people.freebsd.org/~araujo/port/piklab-0.16.2.log
Comment 3 tkato432 2013-01-18 17:56:15 UTC
Here is the corrected patch.
Comment 4 dfilter service freebsd_committer 2013-02-04 10:01:02 UTC
Author: araujo
Date: Mon Feb  4 10:00:43 2013
New Revision: 311596
URL: http://svnweb.freebsd.org/changeset/ports/311596

Log:
  - Update to version 0.16.2.
  
  PR:		ports/174194
  Submitted by:	KATO Tsuguru <tkato432@yahoo.com>

Added:
  head/devel/piklab/files/patch-src__CMakeLists.txt   (contents, props changed)
  head/devel/piklab/files/patch-src__common__global__pfile.cpp   (contents, props changed)
  head/devel/piklab/files/patch-src__common__port__hid_port.h   (contents, props changed)
Modified:
  head/devel/piklab/Makefile   (contents, props changed)
  head/devel/piklab/distinfo   (contents, props changed)

Modified: head/devel/piklab/Makefile
==============================================================================
--- head/devel/piklab/Makefile	Mon Feb  4 09:57:50 2013	(r311595)
+++ head/devel/piklab/Makefile	Mon Feb  4 10:00:43 2013	(r311596)
@@ -1,12 +1,8 @@
-# New ports collection makefile for:	piklab
-# Date created:		2007-11-19
-# Whom:			Michael Nottebrock <lofi@kiste>
-#
+# Created by: Michael Nottebrock <lofi@kiste>
 # $FreeBSD$
-#
 
 PORTNAME=	piklab
-PORTVERSION=	0.16.1
+PORTVERSION=	0.16.2
 CATEGORIES=	devel
 MASTER_SITES=	SF
 
@@ -14,14 +10,16 @@ MAINTAINER=	ports@FreeBSD.org
 COMMENT=	KDE IDE for microcontroller development
 
 LICENSE=	GPLv2 # (or later)
-LICENSE_FILE=	${WRKSRC}/COPYING
 
 OPTIONS_DEFINE=	KDE4
 OPTIONS_DEFAULT=KDE4
 
 USE_BZIP2=	yes
+USE_DOS2UNIX=	Piklab.cmake
 USE_QT4=	corelib gui qt3support qtestlib xml \
 		moc_build qmake_build rcc_build uic_build
+USE_NCURSES=	yes
+USE_READLINE=	yes
 USE_GETTEXT=	yes
 USE_CMAKE=	yes
 MAKE_JOBS_SAFE=	yes
@@ -55,9 +53,6 @@ post-patch:
 	@${REINPLACE_CMD} -e \
 		'/man/s|^|#| ; \
 		 /install/s|^|#|' ${WRKSRC}/CMakeLists.txt
-	@${REINPLACE_CMD} -e \
-		'/CMAKE_BUILD_TYPE/s|^|#| ; \
-		 /KDE4/s|INCLUDE_DIRS|INCLUDES|' ${WRKSRC}/cmake/Piklab.cmake
 
 post-install:
 	${INSTALL_MAN} ${WRKSRC}/man/piklab-*.1 ${MANPREFIX}/man/man1

Modified: head/devel/piklab/distinfo
==============================================================================
--- head/devel/piklab/distinfo	Mon Feb  4 09:57:50 2013	(r311595)
+++ head/devel/piklab/distinfo	Mon Feb  4 10:00:43 2013	(r311596)
@@ -1,2 +1,2 @@
-SHA256 (piklab-0.16.1.tar.bz2) = 80db24022de47a7377412912b1fd186d6ad08fafa042bed17b49ada2de56004d
-SIZE (piklab-0.16.1.tar.bz2) = 972681
+SHA256 (piklab-0.16.2.tar.bz2) = 51de9edda8edb9d2e9d07ed1c479b83b87eb6fb17c85717477f05fac03a5740e
+SIZE (piklab-0.16.2.tar.bz2) = 1036644

Added: head/devel/piklab/files/patch-src__CMakeLists.txt
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/piklab/files/patch-src__CMakeLists.txt	Mon Feb  4 10:00:43 2013	(r311596)
@@ -0,0 +1,13 @@
+--- src/CMakeLists.txt.orig
++++ src/CMakeLists.txt
+@@ -7,9 +7,9 @@
+ add_subdirectory(progs)
+ add_subdirectory(piklab-prog)
+ add_subdirectory(piklab-test)
+-add_subdirectory(dev-utils)
+ 
+ if(NOT QT_ONLY)
++    add_subdirectory(dev-utils)
+     add_subdirectory(data)
+     add_subdirectory(libgui)
+     add_subdirectory(tools)

Added: head/devel/piklab/files/patch-src__common__global__pfile.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/piklab/files/patch-src__common__global__pfile.cpp	Mon Feb  4 10:00:43 2013	(r311596)
@@ -0,0 +1,32 @@
+--- src/common/global/pfile.cpp.orig
++++ src/common/global/pfile.cpp
+@@ -99,9 +99,14 @@
+ {
+   close();
+   _tmp.reset(new KTemporaryFile);
++#if defined(NO_KDE)
++  _tmp->setFileTemplate(QLatin1String("XXXXXX") + _extension);
++  _tmp->setAutoRemove(true);
++#else
+   if (!_extension.isEmpty()) {
+     _tmp->setSuffix("." + _extension);
+   }
++#endif
+   if (!_tmp->open()) {
+     _error = i18n("Could not create temporary file.");
+     _log.sorry(_error, i18n("File: %1").arg(_tmp->name()));
+@@ -149,9 +154,14 @@
+     }
+ 
+     _tmp.reset(new KTemporaryFile);
++#if defined(NO_KDE)
++    _tmp->setFileTemplate(QLatin1String("XXXXXX") + _extension);
++    _tmp->setAutoRemove(true);
++#else
+     if (!_extension.isEmpty()) {
+       _tmp->setSuffix("." + _extension);
+     }
++#endif
+     if (!_tmp->open()) {
+       _error = i18n("Could not create temporary file.");
+       _log.sorry(_error, i18n("File: %1").arg(_tmp->name()));

Added: head/devel/piklab/files/patch-src__common__port__hid_port.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/piklab/files/patch-src__common__port__hid_port.h	Mon Feb  4 10:00:43 2013	(r311596)
@@ -0,0 +1,17 @@
+--- src/common/port/hid_port.h.orig
++++ src/common/port/hid_port.h
+@@ -9,6 +9,8 @@
+ #ifndef HID_PORT_H
+ #define HID_PORT_H
+ 
++#ifdef __linux
++
+ #include "port_base.h"
+ 
+ #ifdef Q_OS_UNIX
+@@ -57,3 +59,5 @@
+ } // namespace
+ 
+ #endif
++
++#endif
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Marcelo Araujo freebsd_committer 2013-02-04 10:01:03 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!